def can_form_correct_cube(cube_numbers):
    # Сначала проверяем, что длина списка чисел равна 6
    if len(cube_numbers) != 6:
        return "no"

    # Считаем суммы противоположных граней
    sum1 = cube_numbers[0] + cube_numbers[5]
    sum2 = cube_numbers[1] + cube_numbers[4]
    sum3 = cube_numbers[2] + cube_numbers[3]

    # Проверяем, равны ли все суммы
    if sum1 == sum2 == sum3:
        return "yes"
    else:
        return "no"

n = int(input())  # Читаем количество кубиков
results = []

for _ in range(n):
    # Читаем 6 чисел для каждого кубика и преобразуем в список
    cube_numbers = list(map(int, input().split()))
    # Проверяем возможность формирования правильного кубика
    result = can_form_correct_cube(cube_numbers)
    results.append(result)

# Выводим результаты для всех кубиков
print('\\n'.join(results))
